Subject: Re: Cuirass has not successfully evaluated the stagig branch in 3 weeks

From: Leo Famulari <[email-masked]>
Date: Sun, 3 Jan 2021 17:14:18 -0500

I was granted shell access to the Berlin server.

I have been building substitutes for the staging branch from the Git
tree at /home/lfam/staging

I noticed that Cuirass is doing *something* with the staging branch, but
it doesn't seem to have any result that I can observe from the interface
at ci.guix.gnu.org, and package substitutes do not appear.

------
$ ps aux | grep staging
[...]
cuirass   54325  0.0  0.1 509928 223724 ?       Sl    2020   0:21 /gnu/store/0w76khfspfy8qmcpjya41chj3bgfcy0k-guile-3.0.4/bin/guile --no-auto-compile -e main -s /gnu/store/q2qkcwd82p52x8kdar5kmmhrx464p0vk-cuirass-dev-0.0.1-57.697fa14/bin/evaluate ((#:name . "staging-staging") (#:load-path-inputs) (#:package-path-inputs) (#:proc-input . "staging") (#:proc-file . "build-aux/cuirass/gnu-system.scm") (#:proc . cuirass-jobs) (#:proc-args (systems "x86_64-linux" "i686-linux" "aarch64-linux" "armhf-linux")) (#:inputs ((#:name . "staging") (#:url . "https://git.savannah.gnu.org/git/guix.git") (#:load-path . ".") (#:branch . "staging") (#:tag . #f) (#:commit . #f) (#:no-compile? . #t))) (#:build-outputs)) (((#:input . "staging") (#:directory . "/gnu/store/13961d848pgzrbqw4bs4kniv4i4cch9z-guix-64e995b") (#:commit . "64e995b4cf473c7f52bad0dea8c27eea6eee662c") (#:timestamp . 1609327975) (#:load-path . ".") (#:no-compile? . #t)))
cuirass   62079  0.0  0.1 507644 233260 pts/8   Sl   Jan02   0:17 /gnu/store/5iisqr9wn9bgg9h52fw86why1xih1gvi-profile/bin/guile --no-auto-compile -e main -s /home/mathieu/cuirass/bin/evaluate ((#:name . "staging-staging") (#:load-path-inputs) (#:package-path-inputs) (#:proc-input . "staging") (#:proc-file . "build-aux/cuirass/gnu-system.scm") (#:proc . cuirass-jobs) (#:proc-args (systems "x86_64-linux" "i686-linux" "aarch64-linux")) (#:inputs ((#:name . "staging") (#:url . "https://git.savannah.gnu.org/git/guix.git") (#:load-path . ".") (#:branch . "staging") (#:tag . #f) (#:commit . #f) (#:no-compile? . #t))) (#:build-outputs) (#:priority . 3)) (((#:input . "staging") (#:directory . "/gnu/store/13961d848pgzrbqw4bs4kniv4i4cch9z-guix-64e995b") (#:commit . "64e995b4cf473c7f52bad0dea8c27eea6eee662c") (#:timestamp . 1609610295) (#:load-path . ".") (#:no-compile? . #t)))
------